ru.bitel.bgbilling.modules.paylinks.common.bean

## Class RedirectLogEntry

- java.lang.Object
- - ru.bitel.bgbilling.modules.paylinks.common.bean.RedirectLogEntry

-     public class RedirectLogEntry
      extends java.lang.Object

  Запись в логе о совершённом переходе.
  Author:
    dimon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectLogEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCid()`
    `java.lang.String` | `getContractComment()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDate()`
    `int` | `getId()`
    `int` | `getMethodId()`
    `java.lang.String` | `getMethodTitle()`
    `java.lang.String` | `getRawUrl()`
    `java.math.BigDecimal` | `getSum()`
    `void` | `setCid(int cid)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setId(int id)`
    `void` | `setMethodId(int methodId)`
    `void` | `setMethodTitle(java.lang.String methodTitle)`
    `void` | `setRawUrl(java.lang.String rawUrl)`
    `void` | `setSum(java.math.BigDecimal sum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectLogEntry

          public RedirectLogEntry()

  - ### Method Detail

    - #### setId

          public void setId(int id)

    - #### getId

          public int getId()

    - #### getMethodId

          public int getMethodId()

    - #### setMethodId

          public void setMethodId(int methodId)

    - #### getCid

          public int getCid()

    - #### setCid

          public void setCid(int cid)

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getDate

          public java.util.Date getDate()

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getRawUrl

          public java.lang.String getRawUrl()

    - #### setRawUrl

          public void setRawUrl(java.lang.String rawUrl)

    - #### getMethodTitle

          public java.lang.String getMethodTitle()

    - #### setMethodTitle

          public void setMethodTitle(java.lang.String methodTitle)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)